Public Member Functions | Static Public Member Functions

# BinNavi.API.reil.mono.InstructionGraphNode Class Reference

Inherits BinNavi::API::disassembly::IGraphNode< InstructionGraphNode >.

List of all members.

## Public Member Functions
List< InstructionGraphNode > | getChildren ()
| Children of the node.
List< InstructionGraphEdge > | getIncomingEdges ()
| Incoming edges of the node.
ReilInstruction | getInstruction ()
| REIL instruction represented by the node.
List< InstructionGraphEdge > | getOutgoingEdges ()
| Outgoing edges of the node.
List< InstructionGraphNode > | getParents ()
| Parents of the node.
| InstructionGraphNode (final ReilInstruction instruction)
| Creates a new instruction graph node.
String | toString ()
| Printable representation of the node.
## Static Public Member Functions
static void | link (final InstructionGraphNode source, final InstructionGraphNode target, final InstructionGraphEdge edge)
| Links two nodes.
static void | unlink (final InstructionGraphNode source, final InstructionGraphNode target, final InstructionGraphEdge edge)
| Unlinks two nodes.

## Detailed Description

Node of an instruction graph.

## Constructor & Destructor Documentation

BinNavi.API.reil.mono.InstructionGraphNode.InstructionGraphNode | ( | final ReilInstruction | instruction | ) |

Creates a new instruction graph node.

Parameters:

  | instruction | The REIL instruction to put into the instruction graph node.

## Member Function Documentation

List<InstructionGraphNode> BinNavi.API.reil.mono.InstructionGraphNode.getChildren | ( |  | ) |

Returns a list of all child nodes of the node.

Returns:
  A list of all child nodes of the node.

List<InstructionGraphEdge> BinNavi.API.reil.mono.InstructionGraphNode.getIncomingEdges | ( |  | ) |

Returns the incoming edges of the node.

Returns:
  The incoming edges of the node.

ReilInstruction BinNavi.API.reil.mono.InstructionGraphNode.getInstruction | ( |  | ) |

Returns the instruction represented by the node.

Returns:
  The instruction represented by the node.

List<InstructionGraphEdge> BinNavi.API.reil.mono.InstructionGraphNode.getOutgoingEdges | ( |  | ) |

Returns the outgoing edges of the node.

Returns:
  The outgoing edges of the node.

List<InstructionGraphNode> BinNavi.API.reil.mono.InstructionGraphNode.getParents | ( |  | ) |

Returns a list of all parent nodes of the node.

Returns:
  A list of all parent nodes of the node.

static void BinNavi.API.reil.mono.InstructionGraphNode.link | ( | final InstructionGraphNode | source,
|  | final InstructionGraphNode | target,
|  | final InstructionGraphEdge | edge |
| ) |  |  | `[static]`

Links two nodes. Calling this function is necessary after creating an edge.

Parameters:

  | source | Source node of the edge.
  | target | Target node of the edge.
  | edge | Edge that connects the two nodes.

String BinNavi.API.reil.mono.InstructionGraphNode.toString | ( |  | ) |

Returns a string representation of the node.

Returns:
  A string representation of the node.

static void BinNavi.API.reil.mono.InstructionGraphNode.unlink | ( | final InstructionGraphNode | source,
|  | final InstructionGraphNode | target,
|  | final InstructionGraphEdge | edge |
| ) |  |  | `[static]`

Unlinks two nodes. Calling this function is necessary after removing an edge from a graph.

Parameters:

  | source | Source node of the edge.
  | target | Target node of the edge.
  | edge | Edge that connects the two nodes.